<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: bi_vertex_it&lt; EdgeType, DataType, AlgDataType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classbi__vertex__it-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">bi_vertex_it&lt; EdgeType, DataType, AlgDataType &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for bi_vertex_it&lt; EdgeType, DataType, AlgDataType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classbi__vertex__it.png" usemap="#bi_vertex_it&lt; EdgeType, DataType, AlgDataType &gt;_map" alt=""/>
  <map id="bi_vertex_it&lt; EdgeType, DataType, AlgDataType &gt;_map" name="bi_vertex_it&lt; EdgeType, DataType, AlgDataType &gt;_map">
<area href="classvertex__it.html" alt="vertex_it&lt; EdgeType, DataType, AlgDataType &gt;" shape="rect" coords="0, 0, 303, 24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a3e951e54c5163378e5e03c343cff525a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e951e54c5163378e5e03c343cff525a"></a>
typedef vector&lt; EdgeType &gt;<br class="typebreak" />
::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_ITERATOR</b></td></tr>
<tr class="separator:a3e951e54c5163378e5e03c343cff525a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a833b535ee9a7aa977b0ec5cf2dcbee01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a833b535ee9a7aa977b0ec5cf2dcbee01"></a>
typedef vector&lt; EDGE_ITERATOR &gt;<br class="typebreak" />
::itertor&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_BUF_ITERATOR</b></td></tr>
<tr class="separator:a833b535ee9a7aa977b0ec5cf2dcbee01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab942c6d613551f41c8703647fce6cc6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab942c6d613551f41c8703647fce6cc6c"></a>
typedef EdgeType::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:ab942c6d613551f41c8703647fce6cc6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classvertex__it"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classvertex__it')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classvertex__it.html">vertex_it&lt; EdgeType, DataType, AlgDataType &gt;</a></td></tr>
<tr class="memitem:a5d165e45d8e8dc0fed5e0c9331dd08c3 inherit pub_types_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d165e45d8e8dc0fed5e0c9331dd08c3"></a>
typedef set&lt; EdgeType &gt;::iterator&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_ITERATOR</b></td></tr>
<tr class="separator:a5d165e45d8e8dc0fed5e0c9331dd08c3 inherit pub_types_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf6dc6db57fca9ae41a6f6b63fbcb571 inherit pub_types_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf6dc6db57fca9ae41a6f6b63fbcb571"></a>
typedef vector&lt; EDGE_ITERATOR &gt;<br class="typebreak" />
::itertor&#160;</td><td class="memItemRight" valign="bottom"><b>EDGE_BUF_ITERATOR</b></td></tr>
<tr class="separator:adf6dc6db57fca9ae41a6f6b63fbcb571 inherit pub_types_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe804f192f6ca397e5c52c99eb0f00a1 inherit pub_types_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe804f192f6ca397e5c52c99eb0f00a1"></a>
typedef EdgeType::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:afe804f192f6ca397e5c52c99eb0f00a1 inherit pub_types_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aab3bbc4294f084c372acde2321e1f282"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab3bbc4294f084c372acde2321e1f282"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>bi_vertex_it</b> (ID_TYPE key)</td></tr>
<tr class="separator:aab3bbc4294f084c372acde2321e1f282"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85710da1d8a6bbc32d1587885f6b3200"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85710da1d8a6bbc32d1587885f6b3200"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_in_edge</b> (EDGE_ITERATOR &amp;x)</td></tr>
<tr class="separator:a85710da1d8a6bbc32d1587885f6b3200"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d8d9cbd51ae6cd3508f23d2b6590f7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d8d9cbd51ae6cd3508f23d2b6590f7f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_in_edge</b> (vector&lt; EDGE_ITERATOR &gt; &amp;x)</td></tr>
<tr class="separator:a5d8d9cbd51ae6cd3508f23d2b6590f7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa12ebac6c3b81be0619726a610a92ff3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa12ebac6c3b81be0619726a610a92ff3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_in_edge</b> (ID_TYPE id)</td></tr>
<tr class="separator:aa12ebac6c3b81be0619726a610a92ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab53210bc3cc81586a385f91683f9bb1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab53210bc3cc81586a385f91683f9bb1b"></a>
uint32&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_in_edges</b> ()</td></tr>
<tr class="separator:ab53210bc3cc81586a385f91683f9bb1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac218a0e32e4e0b171c2c256f5244852b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac218a0e32e4e0b171c2c256f5244852b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_parents</b> (vector&lt; ID_TYPE &gt; &amp;vectParents)</td></tr>
<tr class="separator:ac218a0e32e4e0b171c2c256f5244852b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7600067bcee7c41b928892ba51ebe27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7600067bcee7c41b928892ba51ebe27"></a>
EDGE_BUF_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_in_edge_iterator</b> ()</td></tr>
<tr class="separator:ad7600067bcee7c41b928892ba51ebe27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1801fc19cb6fc3424f6f9cdf0ead44c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1801fc19cb6fc3424f6f9cdf0ead44c1"></a>
EDGE_BUF_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_end_in_edge_iterator</b> ()</td></tr>
<tr class="separator:a1801fc19cb6fc3424f6f9cdf0ead44c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81643a3c4dcbacd09abe580b519e8351"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81643a3c4dcbacd09abe580b519e8351"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_bivertex</b> ()</td></tr>
<tr class="separator:a81643a3c4dcbacd09abe580b519e8351"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classvertex__it"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classvertex__it')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classvertex__it.html">vertex_it&lt; EdgeType, DataType, AlgDataType &gt;</a></td></tr>
<tr class="memitem:a010ac01316775ab746eb5486bb4f2ec4 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a010ac01316775ab746eb5486bb4f2ec4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>vertex_it</b> (ID_TYPE key)</td></tr>
<tr class="separator:a010ac01316775ab746eb5486bb4f2ec4 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d35b3632a42caec9bb79d1e582a2a6e inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d35b3632a42caec9bb79d1e582a2a6e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;</b> (<a class="el" href="classvertex__it.html">vertex_it</a>&lt; EdgeType, DataType, AlgDataType &gt; &amp;rhs)</td></tr>
<tr class="separator:a7d35b3632a42caec9bb79d1e582a2a6e inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace068cc49d7f409d56217a43575c9a83 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace068cc49d7f409d56217a43575c9a83"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (<a class="el" href="classvertex__it.html">vertex_it</a>&lt; EdgeType, DataType, AlgDataType &gt; &amp;rhs)</td></tr>
<tr class="separator:ace068cc49d7f409d56217a43575c9a83 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09e806e94ef9c755f51087ec85bd489a inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09e806e94ef9c755f51087ec85bd489a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (EDGE_ITERATOR &amp;x)</td></tr>
<tr class="separator:a09e806e94ef9c755f51087ec85bd489a inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1bf4dd6213ad9424690576efce54bab inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1bf4dd6213ad9424690576efce54bab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_edge</b> (vector&lt; EDGE_ITERATOR &gt; &amp;x)</td></tr>
<tr class="separator:ab1bf4dd6213ad9424690576efce54bab inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cee58c7bbf6260ff2449ed67b225a9f inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1cee58c7bbf6260ff2449ed67b225a9f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (ID_TYPE target)</td></tr>
<tr class="separator:a1cee58c7bbf6260ff2449ed67b225a9f inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f79b561692ef0321bbd8e5db5c22513 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f79b561692ef0321bbd8e5db5c22513"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>remove_edge</b> (EDGE_ITERATOR &amp;edgeIt)</td></tr>
<tr class="separator:a6f79b561692ef0321bbd8e5db5c22513 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a622bbb2e65635dfaee8daa63e193cbb2 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a622bbb2e65635dfaee8daa63e193cbb2"></a>
uint32&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_out_edges</b> ()</td></tr>
<tr class="separator:a622bbb2e65635dfaee8daa63e193cbb2 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961f8b8aa7a098c300ea7dc3b4204005 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a961f8b8aa7a098c300ea7dc3b4204005"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_children</b> (vector&lt; ID_TYPE &gt; &amp;vectChildren)</td></tr>
<tr class="separator:a961f8b8aa7a098c300ea7dc3b4204005 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefadb763020929fbd6bdac55576934fe inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefadb763020929fbd6bdac55576934fe"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>get_neighbors</b> (vector&lt; ID_TYPE &gt; &amp;vectChildren)</td></tr>
<tr class="separator:aefadb763020929fbd6bdac55576934fe inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e6af2c468140e8065e49d1ce4ea0012 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e6af2c468140e8065e49d1ce4ea0012"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_connected</b> (ID_TYPE node)</td></tr>
<tr class="separator:a5e6af2c468140e8065e49d1ce4ea0012 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7970a212c7a6066a871f1e3db19b41a4 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7970a212c7a6066a871f1e3db19b41a4"></a>
DataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_value</b> ()</td></tr>
<tr class="separator:a7970a212c7a6066a871f1e3db19b41a4 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59615ed4844472a286af11f031876922 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59615ed4844472a286af11f031876922"></a>
AlgDataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_alg_data</b> ()</td></tr>
<tr class="separator:a59615ed4844472a286af11f031876922 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02e841562b12afe58e7f5965fcf02fae inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02e841562b12afe58e7f5965fcf02fae"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>getId</b> ()</td></tr>
<tr class="separator:a02e841562b12afe58e7f5965fcf02fae inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f89226c7581a4df21213ac66daf184e inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f89226c7581a4df21213ac66daf184e"></a>
EDGE_BUF_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_out_edge_iterator</b> ()</td></tr>
<tr class="separator:a5f89226c7581a4df21213ac66daf184e inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c4a68dafb2dc84c5df34340cab44e9 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0c4a68dafb2dc84c5df34340cab44e9"></a>
EDGE_BUF_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><b>get_end_out_edge_iterator</b> ()</td></tr>
<tr class="separator:ac0c4a68dafb2dc84c5df34340cab44e9 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cb7aeeb80e1bc9eb5dd05b2a9c81356 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cb7aeeb80e1bc9eb5dd05b2a9c81356"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_bivertex</b> ()</td></tr>
<tr class="separator:a9cb7aeeb80e1bc9eb5dd05b2a9c81356 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a464df7ac38bdf0f41c27db0808093ae4 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a464df7ac38bdf0f41c27db0808093ae4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>compute</b> (void *pIn=0, void *pOut=0)</td></tr>
<tr class="separator:a464df7ac38bdf0f41c27db0808093ae4 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7556fcb8e3077b5c3da7edd8885e0291 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7556fcb8e3077b5c3da7edd8885e0291"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:a7556fcb8e3077b5c3da7edd8885e0291 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf826438b8a93b59e487fc7a41d89d36 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf826438b8a93b59e487fc7a41d89d36"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_in_edge</b> (EDGE_ITERATOR &amp;x)</td></tr>
<tr class="separator:abf826438b8a93b59e487fc7a41d89d36 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3a1a80ed70181c8c6e7977c5b69db25 inherit pub_methods_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3a1a80ed70181c8c6e7977c5b69db25"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_in_edge</b> (vector&lt; EDGE_ITERATOR &gt; &amp;x)</td></tr>
<tr class="separator:ac3a1a80ed70181c8c6e7977c5b69db25 inherit pub_methods_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a58e391309a8b0631e01a3c71ed66a207"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58e391309a8b0631e01a3c71ed66a207"></a>
vector&lt; EDGE_ITERATOR &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>inEdges</b></td></tr>
<tr class="separator:a58e391309a8b0631e01a3c71ed66a207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classvertex__it"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classvertex__it')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classvertex__it.html">vertex_it&lt; EdgeType, DataType, AlgDataType &gt;</a></td></tr>
<tr class="memitem:a3f61c47aed9de1c6cd3f169ae1e1dded inherit pro_attribs_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f61c47aed9de1c6cd3f169ae1e1dded"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>id</b></td></tr>
<tr class="separator:a3f61c47aed9de1c6cd3f169ae1e1dded inherit pro_attribs_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5883e4f08e3db466c34b94f05323de21 inherit pro_attribs_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5883e4f08e3db466c34b94f05323de21"></a>
DataType&#160;</td><td class="memItemRight" valign="bottom"><b>vertexData</b></td></tr>
<tr class="separator:a5883e4f08e3db466c34b94f05323de21 inherit pro_attribs_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3d92840e5737ee299a2e7e72ef68a1e inherit pro_attribs_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3d92840e5737ee299a2e7e72ef68a1e"></a>
AlgDataType&#160;</td><td class="memItemRight" valign="bottom"><b>algData</b></td></tr>
<tr class="separator:ab3d92840e5737ee299a2e7e72ef68a1e inherit pro_attribs_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec277cf5946a543886369831097ba02e inherit pro_attribs_classvertex__it"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec277cf5946a543886369831097ba02e"></a>
vector&lt; EDGE_ITERATOR &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>outEdges</b></td></tr>
<tr class="separator:aec277cf5946a543886369831097ba02e inherit pro_attribs_classvertex__it"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="vertex_8hpp_source.html">vertex.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
